/// <reference types="node" />
import { IConnection } from 'vscode-languageserver';
import { LanguageHandler } from './lang-handler';
import { Logger } from './logging';
export interface TraceOptions {
    logger?: Logger;
    trace?: boolean;
}
export declare function newConnection(input: NodeJS.ReadableStream, output: NodeJS.WritableStream, options: TraceOptions): IConnection;
/**
 * Registers all method implementations of a LanguageHandler on a connection
 */
export declare function registerLanguageHandler(connection: IConnection, handler: LanguageHandler): void;
